import { FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-12-07 18:28
 */
export interface BusParkingLot {
    /**
    *
    * @type { string }
    */
    lotId?: string;
    /**
    *
    * @type { string }
    */
    groupId?: string;
    /**
    *
    * @type { string }
    */
    lotCode?: string;
    /**
    *
    * @type { string }
    */
    lotName?: string;
    /**
    *
    * @type { string }
    */
    logoUrl?: string;
    /**
    *
    * @type { number }
    */
    totalSpace?: number;
    /**
    *
    * @type { string }
    */
    funcFlag?: string;
    /**
    *
    * @type { string }
    */
    keyword?: string;
    /**
    *
    * @type { string }
    */
    description?: string;
    /**
    * 交易手续费,百分比
    * @type { number }
    */
    tradeFee?: number;
    /**
    *
    * @type { string }
    */
    contact?: string;
    /**
    *
    * @type { string }
    */
    contactInfo?: string;
    /**
    *
    * @type { string }
    */
    provId?: string;
    /**
    *
    * @type { string }
    */
    cityId?: string;
    /**
    *
    * @type { string }
    */
    districtId?: string;
    /**
    *
    * @type { string }
    */
    lotNatureCode?: string;
    /**
    *
    * @type { string }
    */
    address?: string;
    /**
    *
    * @type { string }
    */
    useMap?: string;
    /**
    *
    * @type { string }
    */
    longitude?: string;
    /**
    *
    * @type { string }
    */
    latitude?: string;
    /**
    *
    * @type { string }
    */
    useSuperpark?: string;
    /**
    *
    * @type { string }
    */
    useKeytop?: string;
    /**
    *
    * @type { string }
    */
    useSubMer?: string;
    /**
    *
    * @type { string }
    */
    superparkSubAcct?: string;
    /**
    *
    * @type { string }
    */
    keytopSubAcct?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 操作人
    * @type { string }
    */
    operator?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    *
    * @type { string }
    */
    superparkSubAppid?: string;
    /**
    *
    * @type { boolean }
    */
    enableNews?: boolean;
    /**
    *
    * @type { string }
    */
    newsTemplate?: string;
    /**
    *
    * @type { string }
    */
    keytopSubAppid?: string;
    /**
    *
    * @type { string }
    */
    payUrl?: string;
    /**
    *
    * @type { string }
    */
    payQrCodeUrl?: string;
    /**
    * 共用二维码地址
    * @type { string }
    */
    shareQrCodeUrl?: string;
    /**
    *
    * @type { boolean }
    */
    enableCallback?: boolean;
    /**
    *
    * @type { string }
    */
    payCallbackUrl?: string;
    /**
    * 禁止速停车查询
    * @type { boolean }
    */
    disableStcQuery?: boolean;
    /**
    * 禁止API查询
    * @type { boolean }
    */
    disableApiQuery?: boolean;
    /**
    * 是否支持缴费
    * @type { boolean }
    */
    enablePayment?: boolean;
    /**
    *
    * @type { boolean }
    */
    enableRefund?: boolean;
    /**
    * 是否启用后付费
    * @type { boolean }
    */
    enablePostPaid?: boolean;
    /**
    * 是否启用入场消息推送
    * @type { boolean }
    */
    enableComeMsgPush?: boolean;
    /**
    * 是否启用车位消息推送
    * @type { boolean }
    */
    enableLocationMsgPush?: boolean;
    /**
    * 是否开启自定义按钮
    * @type { boolean }
    */
    enableCustomBtn?: boolean;
    /**
    * 是否开启锁车功能
    * @type { boolean }
    */
    enableLockCar?: boolean;
    /**
    * TCP 0/MQ 1
    * @type { string }
    */
    lotSyncChannel?: string;
    /**
    * 是否支持热门车场
    * @type { string }
    */
    isHot?: string;
    /**
    * 车场本地ID
    * @type { string }
    */
    clientId?: string;
    /**
    *
    * @type { string }
    */
    closeTip?: string;
    /**
    *
    * @type { string }
    */
    ordQueryBtmHtml?: string;
    /**
    * 在订单支付成功页面显示的自定义HTML
    * @type { string }
    */
    ordSuccessHtml?: string;
    /**
    *
    * @type { boolean }
    */
    isFarewellWord?: boolean;
}
export declare class BusParkingLotMI {
    static get LOT_ID(): FieldInfo;
    static get GROUP_ID(): FieldInfo;
    static get LOT_CODE(): FieldInfo;
    static get LOT_NAME(): FieldInfo;
    static get LOGO_URL(): FieldInfo;
    static get TOTAL_SPACE(): FieldInfo;
    static get FUNC_FLAG(): FieldInfo;
    static get KEYWORD(): FieldInfo;
    static get DESCRIPTION(): FieldInfo;
    static get TRADE_FEE(): FieldInfo;
    static get CONTACT(): FieldInfo;
    static get CONTACT_INFO(): FieldInfo;
    static get PROV_ID(): FieldInfo;
    static get CITY_ID(): FieldInfo;
    static get DISTRICT_ID(): FieldInfo;
    static get LOT_NATURE_CODE(): FieldInfo;
    static get ADDRESS(): FieldInfo;
    static get USE_MAP(): FieldInfo;
    static get LONGITUDE(): FieldInfo;
    static get LATITUDE(): FieldInfo;
    static get USE_SUPERPARK(): FieldInfo;
    static get USE_KEYTOP(): FieldInfo;
    static get USE_SUB_MER(): FieldInfo;
    static get SUPERPARK_SUB_ACCT(): FieldInfo;
    static get KEYTOP_SUB_ACCT(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get OPERATOR(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get SUPERPARK_SUB_APPID(): FieldInfo;
    static get ENABLE_NEWS(): FieldInfo;
    static get NEWS_TEMPLATE(): FieldInfo;
    static get KEYTOP_SUB_APPID(): FieldInfo;
    static get PAY_URL(): FieldInfo;
    static get PAY_QR_CODE_URL(): FieldInfo;
    static get SHARE_QR_CODE_URL(): FieldInfo;
    static get ENABLE_CALLBACK(): FieldInfo;
    static get PAY_CALLBACK_URL(): FieldInfo;
    static get DISABLE_STC_QUERY(): FieldInfo;
    static get DISABLE_API_QUERY(): FieldInfo;
    static get ENABLE_PAYMENT(): FieldInfo;
    static get ENABLE_REFUND(): FieldInfo;
    static get ENABLE_POST_PAID(): FieldInfo;
    static get ENABLE_COME_MSG_PUSH(): FieldInfo;
    static get ENABLE_LOCATION_MSG_PUSH(): FieldInfo;
    static get ENABLE_CUSTOM_BTN(): FieldInfo;
    static get ENABLE_LOCK_CAR(): FieldInfo;
    static get LOT_SYNC_CHANNEL(): FieldInfo;
    static get IS_HOT(): FieldInfo;
    static get CLIENT_ID(): FieldInfo;
    static get CLOSE_TIP(): FieldInfo;
    static get ORD_QUERY_BTM_HTML(): FieldInfo;
    static get ORD_SUCCESS_HTML(): FieldInfo;
    static get IS_FAREWELL_WORD(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-12-07 18:28
 */
export interface BusUserCar {
    /**
    * 唯一标识
    * @type { string }
    */
    id?: string;
    /**
    *
    * @type { string }
    */
    userId?: string;
    /**
    *
    * @type { string }
    */
    carPlateNum?: string;
    /**
    * 车牌类型，01：蓝牌，02：黄牌，03：新能源
    * @type { string }
    */
    type?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class BusUserCarMI {
    static get ID(): FieldInfo;
    static get USER_ID(): FieldInfo;
    static get CAR_PLATE_NUM(): FieldInfo;
    static get TYPE(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-12-07 18:28
 */
export interface BusParkingLotAttr {
    /**
    * 唯一标识
    * @type { number }
    */
    id?: number;
    /**
    * 车场ID
    * @type { string }
    */
    lotId?: string;
    /**
    *
    * @type { string }
    */
    attrName?: string;
    /**
    *
    * @type { string }
    */
    attrValue?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class BusParkingLotAttrMI {
    static get ID(): FieldInfo;
    static get LOT_ID(): FieldInfo;
    static get ATTR_NAME(): FieldInfo;
    static get ATTR_VALUE(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-12-07 18:28
 */
export interface BusParkingLotAttrQuickfunc {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    *
    * @type { number }
    */
    ord?: number;
    /**
    *
    * @type { string }
    */
    icon?: string;
    /**
    *
    * @type { string }
    */
    title?: string;
    /**
    *
    * @type { string }
    */
    url?: string;
}
export declare class BusParkingLotAttrQuickfuncMI {
    static get ID(): FieldInfo;
    static get ORD(): FieldInfo;
    static get ICON(): FieldInfo;
    static get TITLE(): FieldInfo;
    static get URL(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-12-07 18:28
 */
export interface BusWxUser {
    /**
    *
    * @type { string }
    */
    userId?: string;
    /**
    *
    * @type { string }
    */
    mPpUserId?: string;
    /**
    * WX/HW/APP
    * @type { string }
    */
    userCaetgory?: string;
    /**
    *
    * @type { string }
    */
    appId?: string;
    /**
    *
    * @type { string }
    */
    openId?: string;
    /**
    *
    * @type { string }
    */
    unionId?: string;
    /**
    *
    * @type { string }
    */
    nickname?: string;
    /**
    *
    * @type { string }
    */
    headerImg?: string;
    /**
    * 名称
    * @type { string }
    */
    name?: string;
    /**
    * 1:男,0:女
    * @type { string }
    */
    sex?: string;
    /**
    *
    * @type { string }
    */
    birthdate?: string;
    /**
    *
    * @type { string }
    */
    provId?: string;
    /**
    *
    * @type { string }
    */
    cityId?: string;
    /**
    *
    * @type { boolean }
    */
    subscribeStatus?: boolean;
    /**
    *
    * @type { string }
    */
    commonLpn?: string;
    /**
    *
    * @type { string }
    */
    commonLpnSuffix?: string;
    /**
    *
    * @type { boolean }
    */
    isVipUser?: boolean;
    /**
    *
    * @type { boolean }
    */
    isPpUser?: boolean;
    /**
    *
    * @type { boolean }
    */
    isEntrust?: boolean;
    /**
    * 是否黑名单用户，1:是，0:否
    * @type { boolean }
    */
    isBlackListUser?: boolean;
    /**
    *
    * @type { string }
    */
    districtId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class BusWxUserMI {
    static get USER_ID(): FieldInfo;
    static get M_PP_USER_ID(): FieldInfo;
    static get USER_CAETGORY(): FieldInfo;
    static get APP_ID(): FieldInfo;
    static get OPEN_ID(): FieldInfo;
    static get UNION_ID(): FieldInfo;
    static get NICKNAME(): FieldInfo;
    static get HEADER_IMG(): FieldInfo;
    static get NAME(): FieldInfo;
    static get SEX(): FieldInfo;
    static get BIRTHDATE(): FieldInfo;
    static get PROV_ID(): FieldInfo;
    static get CITY_ID(): FieldInfo;
    static get SUBSCRIBE_STATUS(): FieldInfo;
    static get COMMON_LPN(): FieldInfo;
    static get COMMON_LPN_SUFFIX(): FieldInfo;
    static get IS_VIP_USER(): FieldInfo;
    static get IS_PP_USER(): FieldInfo;
    static get IS_ENTRUST(): FieldInfo;
    static get IS_BLACK_LIST_USER(): FieldInfo;
    static get DISTRICT_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
